.currency-pair {
    display: flex;
    flex-direction: column;
    row-gap: rem(12);

    &__switcher {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        display: block;
        width: rem(20);
        height: rem(20);
        margin: 0 auto;
        cursor: pointer;
        stroke: var(--gray);
        background: transparent;
        transition: var(--transition-time);

        &:hover {
            stroke: var(--black);
            transition: var(--transition-time);
        }
    }

    &.reverse {
        flex-direction: column-reverse;
    }

    &__item {

    }

    &__label {
        display: block;
        font-weight: 400;
        font-size: rem(13);
        line-height: rem(18);
        color: var(--black);
        margin-bottom: rem(8);
    }

    @include media-breakpoint-up(md) {

        &--row {
            flex-direction: row;
            align-items: flex-end;
            justify-content: space-between;
            column-gap: rem(16);

            .currency-pair__item {
                width: calc(50% - 26px);
            }

            .currency-pair__switcher {
                bottom: rem(20);
                position: relative;
                transform: rotate(90deg);
            }

            &.reverse {
                flex-direction: row-reverse;
            }
        }
    }
}


.currency-field {
    display: flex;
    background: white;
    border-radius: 8px;
    border: 1px solid #DCDCDC;

    &__divider {
        width: 1px;
        position: relative;

        &:before {
            left: 0;
            width: 100%;
            content: '';
            top: rem(10);
            bottom: rem(10);
            position: absolute;
            background: #DCDCDC;
        }
    }

    &__input {
        flex-grow: 1;
        $input-selector: "input[type=text], input[type=email], input[type=number], textarea";

        #{$input-selector} {
            margin: 0;
            width: 100%;
            border: none;
            outline: none;
            height: rem(54);
            color: var(--black);
            box-shadow: none;
            font-weight: 400;
            font-size: rem(16);
            line-height: rem(22);
            padding: rem(16) rem(20);
            background: white;
            display: block;
            border-radius: 8px 0 0 8px;
            vertical-align: middle;

            &::placeholder {
                color: var(--black);
            }

            &:focus,
            &:active  {
                outline: none;

                &::placeholder {
                    color: transparent;
                }
            }
        }

        input[type="number"]::-webkit-outer-spin-button,
        input[type="number"]::-webkit-inner-spin-button {
            display: none;
        }

        input[type="number"]::-webkit-outer-spin-button,
        input[type="number"]::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }

        input[type='number'],
        input[type="number"]:hover,
        input[type="number"]:focus {
            appearance: none;
            -moz-appearance: textfield;
        }
    }

    &__select {
        width: rem(222);
        flex-shrink: 0;

        &.open {

            .currency-field {

                &__arrow {
                    transform: rotate(180deg);
                }
            }
        }
    }

    &__button {
        padding: rem(9) rem(14);
        stroke: var(--gray);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__content {
        flex-grow: 1;
    }

    &__name {
        font-size: rem(14);
        line-height: 140%;
    }

    &__type {
        color: var(--gray);
        font-size: rem(13);
        line-height: 140%;
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        width: rem(13);
        height: rem(13);
        display: block;
        flex-shrink: 0;
    }

    &__dropdown {
        padding: rem(10) 0;
        background: white;
        border-radius: 10px;
        box-shadow: 0px 0px 25px 0px rgba(18, 20, 23, 0.06);
    }

    &__item {
        cursor: pointer;
        background: white;
        padding: rem(8) rem(14);
        min-height: rem(36);
        display: flex;
        align-items: center;
        justify-content: space-between;
        transition: var(--transition-time);

        &:hover {
            background: #F7F7F7;
            transition: var(--transition-time);
        }
    }

    &--single {

        .currency-field__select {
            width: 100%;
        }
    }
}
